GLOBAL.require("map/terrain")
GLOBAL.require("map/tasks")
GLOBAL.require("constants")
GLOBAL.require("map/lockandkey")
modimport 'scripts/tile.lua'

local LOCKS = GLOBAL.LOCKS
local KEYS = GLOBAL.KEYS
local GROUND = GLOBAL.GROUND
local Layouts = GLOBAL.require("map/layouts").Layouts
local StaticLayout = GLOBAL.require("map/static_layout")	

	AddTile("ASIA", 115, "asia",
	{noise_texture = "levels/textures/noise_asia.tex"},
	{noise_texture = "levels/textures/mini_noise_asia.tex"},
	{runsound = "dontstarve/movement/run_carpet"},
	{walksound="dontstarve/movement/walk_carpet"},
	{snowsound="dontstarve/movement/run_snow"},
	{mudsound = "dontstarve/movement/run_mud"}
	)
	AddTile("ORIENT", 116, "orient",
	{noise_texture = "levels/textures/noise_orient.tex"},
	{noise_texture = "levels/textures/mini_noise_orient.tex"},
	{runsound = "dontstarve/movement/run_carpet"},
	{walksound="dontstarve/movement/walk_carpet"},
	{snowsound="dontstarve/movement/run_snow"},
	{mudsound = "dontstarve/movement/run_mud"}
	)
	AddTile("FLAMEROSE", 117, "flamerose",
	{noise_texture = "levels/textures/noise_flamerose.tex"},
	{noise_texture = "levels/textures/mini_noise_flamerose.tex"},
	{runsound = "dontstarve/movement/run_carpet"},
	{walksound="dontstarve/movement/walk_carpet"},
	{snowsound="dontstarve/movement/run_ice"},
	{mudsound = "dontstarve/movement/run_mud"} )
	
AddTile("TILECHECKERBOARD", 118, "tilecheckerboard", {noise_texture = "levels/textures/noise_tilecheckerboard.tex"}, {noise_texture = "levels/textures/mini_noise_tilecheckerboard.tex"})
AddTile("TILEFROSTY", 119, "tilefrosty", {noise_texture = "levels/textures/noise_tilefrosty.tex"}, {noise_texture = "levels/textures/mini_noise_tilefrosty.tex"})
AddTile("TILESQUARES", 120, "tilesquares", {noise_texture = "levels/textures/noise_tilesquares.tex"}, {noise_texture = "levels/textures/mini_noise_tilesquares.tex"})

